package com.ejie.y42b.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import com.ejie.x38.control.JsonDateDeserializer;
import com.ejie.x38.control.JsonDateSerializer;
import com.ejie.y42b.constantes.Y42bAgendaConstantes;

import com.ejie.y42b.validation.Y42bNifCif;

/**
 * * Entidad  
 * 
 *  
 */

public class Entidad implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String entidadId;

	@Length(max = Y42bAgendaConstantes.NUM_255, message = "length.nombre")
	// @NotEmpty(message = "required.entidad_nombreCast")
	// @NotNull(message = "required.entidad_nombreCast")
	private String nombreEs;

	@Length(max = Y42bAgendaConstantes.NUM_255, message = "length.nombre")
	// @NotEmpty(message = "required.entidad_nombreEusk")
	// @NotNull(message = "required.entidad_nombreEusk")
	private String nombreEu;

	private String activa;
	private String iskontsumogest;
	private String iskontsumonet;
	private String isofertaform;
	private String isconsultasweb;
	@Length(max = Y42bAgendaConstantes.NUM_6)
	private String codOrg;
	@Length(max = Y42bAgendaConstantes.NUM_255)
	private String compleDirec;
	@Length(max = Y42bAgendaConstantes.NUM_4000, message = "length.observaciones")
	private String observaciones;
	@Length(max = Y42bAgendaConstantes.NUM_255, message = "length.telefono")
	// @NotEmpty(message = "required.telefono")
	// @NotNull()
	private String telefono;
	@Length(max = Y42bAgendaConstantes.NUM_255, message = "length.fax")
	private String fax;
	@Length(max = Y42bAgendaConstantes.NUM_255, message = "length.email")
	@Email(message = "invalidformat.email")
	private String email;
	@Length(max = Y42bAgendaConstantes.NUM_255, message = "length.url")
	// @URL(message = "invalidformat.url")
	private String url;
	@Length(max = Y42bAgendaConstantes.NUM_40, message = "length.usuario")
	private String usuario;
	@Length(max = Y42bAgendaConstantes.NUM_40, message = "length.password")
	private String password;
	// @Length(max = 1)
	@NotEmpty(message = "required.localidad")
	@NotNull()
	private String isnacional;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	// @NotEmpty(message = "required.pais")
	private String noraPaisId;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String nombrePais;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String noraProvinciaId;
	@Length(max = Y42bAgendaConstantes.NUM_255)
	private String nombreProvincia;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String noraMunicipioId;
	@Length(max = Y42bAgendaConstantes.NUM_255)
	private String nombreMunicipio;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String noraLocalidadId;
	@Length(max = Y42bAgendaConstantes.NUM_255)
	private String nombreLocalidad;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String noraCalleId;
	@Length(max = Y42bAgendaConstantes.NUM_255)
	private String nombreCalle;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String noraCpId;
	@Length(max = Y42bAgendaConstantes.NUM_10)
	/*
	 * @NotEmpty(message = "required.codigoPostal")
	 * 
	 * @NotNull()
	 */
	private String nombreCp;
	@Length(max = Y42bAgendaConstantes.NUM_40)
	private String noraPortalId;
	@Length(max = Y42bAgendaConstantes.NUM_255)
	private String nombrePortal;
	@Length(max = Y42bAgendaConstantes.NUM_12)
	private String usuultmod;
	private Date fecultmod;

	// @NotEmpty(message = "required.tipoOrganismo")
	private String tipoOrganismo;
	// @NotEmpty(message = "required.ambitoGeografico")
	private String ambitoGeografico;
	@Y42bNifCif(message = "required.cif")
	private String cif;

	// entidad paso de parametros por el responsebody
	private String listaGruposIds;
	private String listaEtiquetasIds;

	private List<Etiqueta> etiquetas = new ArrayList<Etiqueta>();
	private List<Grupo> grupos = new ArrayList<Grupo>();
	private List<Contacto> contactos = new ArrayList<Contacto>();

	/**
	 * Method 'Entidad'.
	 * 
	 */
	public Entidad() {
	}

	/**
	 * @param codOrg
	 */
	public Entidad(String codOrg) {
		super();
		this.codOrg = codOrg;
	}

	/**
	 * Method 'Entidad'.
	 * 
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param codOrg
	 *            String
	 * @param compleDirec
	 *            String
	 * @param tipoOrganismo
	 *            String
	 * @param ambitoGeografico
	 *            String
	 * @param cif
	 *            String
	 */
	public Entidad(String entidadId, String nombreEs, String nombreEu,
			String activa, String iskontsumogest, String iskontsumonet,
			String isofertaform, String isconsultasweb, String isnacional,
			String observaciones, String telefono, String fax, String email,
			String url, String usuario, String password, String usuultmod,
			Date fecultmod, String noraPaisId, String nombrePais,
			String noraProvinciaId, String nombreProvincia,
			String noraMunicipioId, String nombreMunicipio,
			String noraLocalidadId, String nombreLocalidad, String noraCalleId,
			String nombreCalle, String noraCpId, String nombreCp,
			String noraPortalId, String nombrePortal, String codOrg,
			String compleDirec, String tipoOrganismo, String ambitoGeografico,
			String cif) {
		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.codOrg = codOrg;
		this.compleDirec = compleDirec;
		this.tipoOrganismo = tipoOrganismo;
		this.ambitoGeografico = ambitoGeografico;
		this.cif = cif;
	}

	/**
	 * Method 'Entidad'.
	 * 
	 * @param entidadId
	 *            String
	 * @param nombreEs
	 *            String
	 * @param nombreEu
	 *            String
	 * @param activa
	 *            String
	 * @param iskontsumogest
	 *            String
	 * @param iskontsumonet
	 *            String
	 * @param isofertaform
	 *            String
	 * @param isconsultasweb
	 *            String
	 * @param isnacional
	 *            String
	 * @param observaciones
	 *            String
	 * @param telefono
	 *            String
	 * @param fax
	 *            String
	 * @param email
	 *            String
	 * @param url
	 *            String
	 * @param usuario
	 *            String
	 * @param password
	 *            String
	 * @param usuultmod
	 *            String
	 * @param fecultmod
	 *            Date
	 * @param noraPaisId
	 *            String
	 * @param nombrePais
	 *            String
	 * @param noraProvinciaId
	 *            String
	 * @param nombreProvincia
	 *            String
	 * @param noraMunicipioId
	 *            String
	 * @param nombreMunicipio
	 *            String
	 * @param noraLocalidadId
	 *            String
	 * @param nombreLocalidad
	 *            String
	 * @param noraCalleId
	 *            String
	 * @param nombreCalle
	 *            String
	 * @param noraCpId
	 *            String
	 * @param nombreCp
	 *            String
	 * @param noraPortalId
	 *            String
	 * @param nombrePortal
	 *            String
	 * @param codOrg
	 *            String
	 * @param compleDirec
	 *            String
	 * @param tipoOrganismo
	 *            String
	 * @param ambitoGeografico
	 *            String
	 * @param cif
	 *            String
	 * @param etiquetas
	 *            List<Etiqueta>
	 * @param grupos
	 *            List<Grupo>
	 * @param contactos
	 *            List<Contacto>
	 */
	public Entidad(String entidadId, String nombreEs, String nombreEu,
			String activa, String iskontsumogest, String iskontsumonet,
			String isofertaform, String isconsultasweb, String isnacional,
			String observaciones, String telefono, String fax, String email,
			String url, String usuario, String password, String usuultmod,
			Date fecultmod, String noraPaisId, String nombrePais,
			String noraProvinciaId, String nombreProvincia,
			String noraMunicipioId, String nombreMunicipio,
			String noraLocalidadId, String nombreLocalidad, String noraCalleId,
			String nombreCalle, String noraCpId, String nombreCp,
			String noraPortalId, String nombrePortal, String codOrg,
			String compleDirec, String tipoOrganismo, String ambitoGeografico,
			String cif, List<Etiqueta> etiquetas, List<Grupo> grupos,
			List<Contacto> contactos) {

		this.entidadId = entidadId;
		this.nombreEs = nombreEs;
		this.nombreEu = nombreEu;
		this.activa = activa;
		this.iskontsumogest = iskontsumogest;
		this.iskontsumonet = iskontsumonet;
		this.isofertaform = isofertaform;
		this.isconsultasweb = isconsultasweb;
		this.isnacional = isnacional;
		this.observaciones = observaciones;
		this.telefono = telefono;
		this.fax = fax;
		this.email = email;
		this.url = url;
		this.usuario = usuario;
		this.password = password;
		this.usuultmod = usuultmod;
		this.fecultmod = fecultmod;
		this.noraPaisId = noraPaisId;
		this.nombrePais = nombrePais;
		this.noraProvinciaId = noraProvinciaId;
		this.nombreProvincia = nombreProvincia;
		this.noraMunicipioId = noraMunicipioId;
		this.nombreMunicipio = nombreMunicipio;
		this.noraLocalidadId = noraLocalidadId;
		this.nombreLocalidad = nombreLocalidad;
		this.noraCalleId = noraCalleId;
		this.nombreCalle = nombreCalle;
		this.noraCpId = noraCpId;
		this.nombreCp = nombreCp;
		this.noraPortalId = noraPortalId;
		this.nombrePortal = nombrePortal;
		this.codOrg = codOrg;
		this.compleDirec = compleDirec;
		this.tipoOrganismo = tipoOrganismo;
		this.ambitoGeografico = ambitoGeografico;
		this.cif = cif;
		this.etiquetas = etiquetas;
		this.grupos = grupos;
		this.contactos = contactos;
	}

	/**
	 * @param entidadId
	 * @param codOrg
	 */
	public Entidad(String entidadId, String codOrg) {
		super();
		this.entidadId = entidadId;
		this.codOrg = codOrg;
	}

	/**
	 * Method 'getCompleDirec'.
	 * 
	 * @return String
	 */
	public String getCompleDirec() {
		return compleDirec;
	}

	/**
	 * Method 'setCompleDirec'.
	 * 
	 * @param compleDirec
	 *            the compleDirec to set
	 */
	public void setCompleDirec(String compleDirec) {
		this.compleDirec = compleDirec;
	}

	/**
	 * Method 'getEntidadId'.
	 * 
	 * @return String
	 */

	public String getEntidadId() {
		return this.entidadId;
	}

	/**
	 * Method 'setEntidadId'.
	 * 
	 * @param entidadId
	 *            String
	 * @return
	 */

	public void setEntidadId(String entidadId) {
		this.entidadId = entidadId;
	}

	/**
	 * Method 'getNombreEs'.
	 * 
	 * @return String
	 */

	public String getNombreEs() {
		return this.nombreEs;
	}

	/**
	 * Method 'setNombreEs'.
	 * 
	 * @param nombreEs
	 *            String
	 * @return
	 */

	public void setNombreEs(String nombreEs) {
		this.nombreEs = nombreEs;
	}

	/**
	 * Method 'getNombreEu'.
	 * 
	 * @return String
	 */

	public String getNombreEu() {
		return this.nombreEu;
	}

	/**
	 * Method 'setNombreEu'.
	 * 
	 * @param nombreEu
	 *            String
	 * @return
	 */

	public void setNombreEu(String nombreEu) {
		this.nombreEu = nombreEu;
	}

	/**
	 * Method 'getActiva'.
	 * 
	 * @return String
	 */

	public String getActiva() {
		return this.activa;
	}

	/**
	 * Method 'setActiva'.
	 * 
	 * @param activa
	 *            String
	 * @return
	 */

	public void setActiva(String activa) {
		this.activa = activa;
	}

	/**
	 * Method 'getIskontsumogest'.
	 * 
	 * @return String
	 */

	public String getIskontsumogest() {
		return this.iskontsumogest;
	}

	/**
	 * Method 'setIskontsumogest'.
	 * 
	 * @param iskontsumogest
	 *            String
	 * @return
	 */

	public void setIskontsumogest(String iskontsumogest) {
		this.iskontsumogest = iskontsumogest;
	}

	/**
	 * Method 'getIskontsumonet'.
	 * 
	 * @return String
	 */

	public String getIskontsumonet() {
		return this.iskontsumonet;
	}

	/**
	 * Method 'setIskontsumonet'.
	 * 
	 * @param iskontsumonet
	 *            String
	 * @return
	 */

	public void setIskontsumonet(String iskontsumonet) {
		this.iskontsumonet = iskontsumonet;
	}

	/**
	 * Method 'getIsofertaform'.
	 * 
	 * @return String
	 */

	public String getIsofertaform() {
		return this.isofertaform;
	}

	/**
	 * Method 'setIsofertaform'.
	 * 
	 * @param isofertaform
	 *            String
	 * @return
	 */

	public void setIsofertaform(String isofertaform) {
		this.isofertaform = isofertaform;
	}

	/**
	 * Method 'getIsconsultasweb'.
	 * 
	 * @return String
	 */

	public String getIsconsultasweb() {
		return this.isconsultasweb;
	}

	/**
	 * Method 'setIsconsultasweb'.
	 * 
	 * @param isconsultasweb
	 *            String
	 * @return
	 */

	public void setIsconsultasweb(String isconsultasweb) {
		this.isconsultasweb = isconsultasweb;
	}

	/**
	 * Method 'getIsnacional'.
	 * 
	 * @return String
	 */

	public String getIsnacional() {
		return this.isnacional;
	}

	/**
	 * Method 'setIsnacional'.
	 * 
	 * @param isnacional
	 *            String
	 * @return
	 */

	public void setIsnacional(String isnacional) {
		this.isnacional = isnacional;
	}

	/**
	 * Method 'getObservaciones'.
	 * 
	 * @return String
	 */

	public String getObservaciones() {
		return this.observaciones;
	}

	/**
	 * Method 'setObservaciones'.
	 * 
	 * @param observaciones
	 *            String
	 * @return
	 */

	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	/**
	 * Method 'getTelefono'.
	 * 
	 * @return String
	 */

	public String getTelefono() {
		return this.telefono;
	}

	/**
	 * Method 'setTelefono'.
	 * 
	 * @param telefono
	 *            String
	 * @return
	 */

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	/**
	 * Method 'getFax'.
	 * 
	 * @return String
	 */

	public String getFax() {
		return this.fax;
	}

	/**
	 * Method 'setFax'.
	 * 
	 * @param fax
	 *            String
	 * @return
	 */

	public void setFax(String fax) {
		this.fax = fax;
	}

	/**
	 * Method 'getEmail'.
	 * 
	 * @return String
	 */

	public String getEmail() {
		return this.email;
	}

	/**
	 * Method 'setEmail'.
	 * 
	 * @param email
	 *            String
	 * @return
	 */

	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Method 'getUrl'.
	 * 
	 * @return String
	 */

	public String getUrl() {
		return this.url;
	}

	/**
	 * Method 'setUrl'.
	 * 
	 * @param url
	 *            String
	 * @return
	 */

	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * Method 'getUsuario'.
	 * 
	 * @return String
	 */

	public String getUsuario() {
		return this.usuario;
	}

	/**
	 * Method 'setUsuario'.
	 * 
	 * @param usuario
	 *            String
	 * @return
	 */

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	/**
	 * Method 'getPassword'.
	 * 
	 * @return String
	 */

	public String getPassword() {
		return this.password;
	}

	/**
	 * Method 'setPassword'.
	 * 
	 * @param password
	 *            String
	 * @return
	 */

	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * Method 'getUsuultmod'.
	 * 
	 * @return String
	 */

	public String getUsuultmod() {
		return this.usuultmod;
	}

	/**
	 * Method 'setUsuultmod'.
	 * 
	 * @param usuultmod
	 *            String
	 * @return
	 */

	public void setUsuultmod(String usuultmod) {
		this.usuultmod = usuultmod;
	}

	/**
	 * Method 'getFecultmod'.
	 * 
	 * @return Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecultmod() {
		return this.fecultmod;
	}

	/**
	 * Method 'setFecultmod'.
	 * 
	 * @param fecultmod
	 *            Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecultmod(Date fecultmod) {
		this.fecultmod = fecultmod;
	}

	/**
	 * Method 'getNoraPaisId'.
	 * 
	 * @return String
	 */

	public String getNoraPaisId() {
		return this.noraPaisId;
	}

	/**
	 * Method 'setNoraPaisId'.
	 * 
	 * @param noraPaisId
	 *            String
	 * @return
	 */

	public void setNoraPaisId(String noraPaisId) {
		this.noraPaisId = noraPaisId;
	}

	/**
	 * Method 'getNombrePais'.
	 * 
	 * @return String
	 */

	public String getNombrePais() {
		return this.nombrePais;
	}

	/**
	 * Method 'setNombrePais'.
	 * 
	 * @param nombrePais
	 *            String
	 * @return
	 */

	public void setNombrePais(String nombrePais) {
		this.nombrePais = nombrePais;
	}

	/**
	 * Method 'getNoraProvinciaId'.
	 * 
	 * @return String
	 */

	public String getNoraProvinciaId() {
		return this.noraProvinciaId;
	}

	/**
	 * Method 'setNoraProvinciaId'.
	 * 
	 * @param noraProvinciaId
	 *            String
	 * @return
	 */

	public void setNoraProvinciaId(String noraProvinciaId) {
		this.noraProvinciaId = noraProvinciaId;
	}

	/**
	 * Method 'getNombreProvincia'.
	 * 
	 * @return String
	 */

	public String getNombreProvincia() {
		return this.nombreProvincia;
	}

	/**
	 * Method 'setNombreProvincia'.
	 * 
	 * @param nombreProvincia
	 *            String
	 * @return
	 */

	public void setNombreProvincia(String nombreProvincia) {
		this.nombreProvincia = nombreProvincia;
	}

	/**
	 * Method 'getNoraMunicipioId'.
	 * 
	 * @return String
	 */

	public String getNoraMunicipioId() {
		return this.noraMunicipioId;
	}

	/**
	 * Method 'setNoraMunicipioId'.
	 * 
	 * @param noraMunicipioId
	 *            String
	 * @return
	 */

	public void setNoraMunicipioId(String noraMunicipioId) {
		this.noraMunicipioId = noraMunicipioId;
	}

	/**
	 * Method 'getNombreMunicipio'.
	 * 
	 * @return String
	 */

	public String getNombreMunicipio() {
		return this.nombreMunicipio;
	}

	/**
	 * Method 'setNombreMunicipio'.
	 * 
	 * @param nombreMunicipio
	 *            String
	 * @return
	 */

	public void setNombreMunicipio(String nombreMunicipio) {
		this.nombreMunicipio = nombreMunicipio;
	}

	/**
	 * Method 'getNoraLocalidadId'.
	 * 
	 * @return String
	 */

	public String getNoraLocalidadId() {
		return this.noraLocalidadId;
	}

	/**
	 * Method 'setNoraLocalidadId'.
	 * 
	 * @param noraLocalidadId
	 *            String
	 * @return
	 */

	public void setNoraLocalidadId(String noraLocalidadId) {
		this.noraLocalidadId = noraLocalidadId;
	}

	/**
	 * Method 'getNombreLocalidad'.
	 * 
	 * @return String
	 */

	public String getNombreLocalidad() {
		return this.nombreLocalidad;
	}

	/**
	 * Method 'setNombreLocalidad'.
	 * 
	 * @param nombreLocalidad
	 *            String
	 * @return
	 */

	public void setNombreLocalidad(String nombreLocalidad) {
		this.nombreLocalidad = nombreLocalidad;
	}

	/**
	 * Method 'getNoraCalleId'.
	 * 
	 * @return String
	 */

	public String getNoraCalleId() {
		return this.noraCalleId;
	}

	/**
	 * Method 'setNoraCalleId'.
	 * 
	 * @param noraCalleId
	 *            String
	 * @return
	 */

	public void setNoraCalleId(String noraCalleId) {
		this.noraCalleId = noraCalleId;
	}

	/**
	 * Method 'getNombreCalle'.
	 * 
	 * @return String
	 */

	public String getNombreCalle() {
		return this.nombreCalle;
	}

	/**
	 * Method 'setNombreCalle'.
	 * 
	 * @param nombreCalle
	 *            String
	 * @return
	 */

	public void setNombreCalle(String nombreCalle) {
		this.nombreCalle = nombreCalle;
	}

	/**
	 * Method 'getNoraCpId'.
	 * 
	 * @return String
	 */

	public String getNoraCpId() {
		return this.noraCpId;
	}

	/**
	 * Method 'setNoraCpId'.
	 * 
	 * @param noraCpId
	 *            String
	 * @return
	 */

	public void setNoraCpId(String noraCpId) {
		this.noraCpId = noraCpId;
	}

	/**
	 * Method 'getNombreCp'.
	 * 
	 * @return String
	 */

	public String getNombreCp() {
		return this.nombreCp;
	}

	/**
	 * Method 'setNombreCp'.
	 * 
	 * @param nombreCp
	 *            String
	 * @return
	 */

	public void setNombreCp(String nombreCp) {
		this.nombreCp = nombreCp;
	}

	/**
	 * Method 'getNoraPortalId'.
	 * 
	 * @return String
	 */

	public String getNoraPortalId() {
		return this.noraPortalId;
	}

	/**
	 * Method 'setNoraPortalId'.
	 * 
	 * @param noraPortalId
	 *            String
	 * @return
	 */

	public void setNoraPortalId(String noraPortalId) {
		this.noraPortalId = noraPortalId;
	}

	/**
	 * Method 'getNombrePortal'.
	 * 
	 * @return String
	 */

	public String getNombrePortal() {
		return this.nombrePortal;
	}

	/**
	 * Method 'setNombrePortal'.
	 * 
	 * @param nombrePortal
	 *            String
	 * @return
	 */

	public void setNombrePortal(String nombrePortal) {
		this.nombrePortal = nombrePortal;
	}

	/**
	 * Method 'getCodOrg'.
	 * 
	 * @return String
	 */

	public String getCodOrg() {
		return this.codOrg;
	}

	/**
	 * Method 'setCodOrg'.
	 * 
	 * @param codOrg
	 *            String
	 * @return
	 */

	public void setCodOrg(String codOrg) {
		this.codOrg = codOrg;
	}

	/**
	 * Method 'getEtiquetas'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Etiqueta> getEtiquetas() {
		return this.etiquetas;
	}

	/**
	 * Method 'setEtiquetas'.
	 * 
	 * @param etiquetas
	 *            List
	 * @return
	 */
	public void setEtiquetas(List<Etiqueta> etiquetas) {
		this.etiquetas = etiquetas;
	}

	/**
	 * Method 'getGrupos'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Grupo> getGrupos() {
		return this.grupos;
	}

	/**
	 * Method 'setGrupos'.
	 * 
	 * @param grupos
	 *            List
	 * @return
	 */
	public void setGrupos(List<Grupo> grupos) {
		this.grupos = grupos;
	}

	/**
	 * Method 'getContactos'.
	 * 
	 * @return List
	 */
	@JsonIgnore()
	public List<Contacto> getContactos() {
		return this.contactos;
	}

	/**
	 * Method 'setContactos'.
	 * 
	 * @param contactos
	 *            List
	 * @return
	 */
	public void setContactos(List<Contacto> contactos) {
		this.contactos = contactos;
	}

	/**
	 * @return the tipoOrganismo
	 */
	public String getTipoOrganismo() {
		return tipoOrganismo;
	}

	/**
	 * @param tipoOrganismo
	 *            the tipoOrganismo to set
	 */
	public void setTipoOrganismo(String tipoOrganismo) {
		this.tipoOrganismo = tipoOrganismo;
	}

	/**
	 * @return the ambitoGeografico
	 */
	public String getAmbitoGeografico() {
		return ambitoGeografico;
	}

	/**
	 * @param ambitoGeografico
	 *            the ambitoGeografico to set
	 */
	public void setAmbitoGeografico(String ambitoGeografico) {
		this.ambitoGeografico = ambitoGeografico;
	}

	/**
	 * @return the cif
	 */
	public String getCif() {
		return cif;
	}

	/**
	 * @param cif
	 *            the cif to set
	 */
	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getListaGruposIds() {
		return listaGruposIds;
	}

	public void setListaGruposIds(String listaGruposIds) {
		this.listaGruposIds = listaGruposIds;
	}

	public String getListaEtiquetasIds() {
		return listaEtiquetasIds;
	}

	public void setListaEtiquetasIds(String listaEtiquetasIds) {
		this.listaEtiquetasIds = listaEtiquetasIds;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Entidad [entidadId=" + entidadId + ", nombreEs=" + nombreEs
				+ ", nombreEu=" + nombreEu + ", activa=" + activa
				+ ", iskontsumogest=" + iskontsumogest + ", iskontsumonet="
				+ iskontsumonet + ", isofertaform=" + isofertaform
				+ ", isconsultasweb=" + isconsultasweb + ", codOrg=" + codOrg
				+ ", compleDirec=" + compleDirec + ", observaciones="
				+ observaciones + ", telefono=" + telefono + ", fax=" + fax
				+ ", email=" + email + ", url=" + url + ", usuario=" + usuario
				+ ", password=" + password + ", isnacional=" + isnacional
				+ ", noraPaisId=" + noraPaisId + ", nombrePais=" + nombrePais
				+ ", noraProvinciaId=" + noraProvinciaId + ", nombreProvincia="
				+ nombreProvincia + ", noraMunicipioId=" + noraMunicipioId
				+ ", nombreMunicipio=" + nombreMunicipio + ", noraLocalidadId="
				+ noraLocalidadId + ", nombreLocalidad=" + nombreLocalidad
				+ ", noraCalleId=" + noraCalleId + ", nombreCalle="
				+ nombreCalle + ", noraCpId=" + noraCpId + ", nombreCp="
				+ nombreCp + ", noraPortalId=" + noraPortalId
				+ ", nombrePortal=" + nombrePortal + ", usuultmod=" + usuultmod
				+ ", fecultmod=" + fecultmod + ", tipoOrganismo="
				+ tipoOrganismo + ", ambitoGeografico=" + ambitoGeografico
				+ ", cif=" + cif + ", etiquetas=" + etiquetas + ", grupos="
				+ grupos + ", contactos=" + contactos + "]";
	}
}
